API ReferenceVacation Available
Retrieves the collection of VacationAvailable resources.
GET
Retrieves the collection of VacationAvailable resources.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30search?stringcalendarUser?stringcalendarUser[]?array<string>year?integeryear[]?array<integer>calendarUser.canLogIn?booleanorder[year]?stringDefault
"asc"Value in
"asc""desc"order[calendarUser.lastName]?stringDefault
"asc"Value in
"asc""desc"VacationAvailable collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/calendar/vacation-availables'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "year": 0, "daysTransferred": 0, "daysCurrentYear": 0, "daysAvailable": 0, "daysUsed": 0, "calendarUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "permissions": { "canManage": null } }]